@import "../../../../styles.scss";

header {
  nav {
    height: 50px;
    width: 100%;
    display: flex;
    align-items: center;
    background-color: rgba(70, 70, 70, 0.479);

    .menu {
      height: 70%;
      margin: 0;
      padding: 0 0.7em;
      width: calc(100% - 0.7em);

      &__item {
        list-style: none;
        background-color: $primary-color;
        border-bottom: 2px solid lighten($primary-color, $amount: 15);
        border-radius: 30px;
        display: inline-flex;
        transition: .3s ease;
        width: 6em;
        height: 100%;
        margin-right: 1em;
        position: relative;
        a {
          font-size: 0.9em;
          color: white;
          text-decoration: none;
          width: 100%;
          height: 100%;
          display: inline-flex;
          align-items: center;
          justify-content: center;
        }

        &--counter{
          position: absolute;
          font-size: 18px;
          color: $secondary-color;
          border-radius: 50%;
          background-color: white;
          text-align: center;
          display: flex;
          align-items: center;
          justify-content: center;
          box-sizing: border-box;
          width: 30px;
          height: 30px;
          right: -10px;
          bottom: -10px;
        }

        &:hover{
          background-color: darken($primary-color, $amount: 3);
          transform: scale(1.04, 1.04);
        }
        &--float-right {
          float: right;
        }
      }
    }
  }
}
